<?xml version="1.0" encoding="UTF-8"?>

<!-- Custom Model -->

<!-- Note: This model is pre-configured to load at startup of the Repository.  So, all custom -->
<!--       types and aspects added here will automatically be registered -->

<model name="de:deModel" xmlns="http://www.alfresco.org/model/dictionary/1.0">

   <!-- Optional meta-data about the model -->   
   <description>Custom Model Delibere</description>
   <author>Cristian Del Carlo</author>
   <version>1.0</version>

   <imports>
   	  <!-- Import Alfresco Dictionary Definitions -->
      <import uri="http://www.alfresco.org/model/dictionary/1.0" prefix="d"/>
      <!-- Import Alfresco Content Domain Model Definitions -->
      <import uri="http://www.alfresco.org/model/content/1.0" prefix="cm"/>
   </imports>

   <!-- Introduction of new namespaces defined by this model -->
   <!-- NOTE: The following namespace custom.model should be changed to reflect your own namespace -->

 <namespaces>
      <namespace uri="http://92.222.23.127/model/content/1.0" prefix="de"/>
 </namespaces>

 <types>
        <type name="de:Delibere">
            <title>Delibere</title>
            <parent>cm:content</parent>
            <mandatory-aspects>
                <aspect>de:AspettoDelibere</aspect>               
            </mandatory-aspects>
        </type>      
 </types>

 <aspects>
	 <aspect name="de:AspettoDelibere">
		 <title>Dati Delibere</title>
		 <properties>
				 <property name="de:DataDelibera">
                                         <title>Data Delibera</title>
					 <type>d:date</type>
					 <mandatory>false</mandatory>
		 		</property>
				<property name="de:OggettoDelibera">
					 <type>d:mltext</type>		
					 <mandatory>false</mandatory> 
				</property>
				<property name="de:NumeroProtocollo">
						 <type>d:text</type>		
						 <mandatory>false</mandatory> 
				 </property>
				<property name="de:NumeroDelibera">
						 <type>d:text</type>		
						 <mandatory>false</mandatory> 
				 </property>
                                <property name="de:TipologiaDocumento">
						 <type>d:text</type>		
						 <mandatory>false</mandatory> 
				</property>
				 <property name="de:Libero1">
						 <type>d:text</type>		
						 <mandatory>false</mandatory> 
				</property>
		 </properties>
	 </aspect>
 </aspects>
</model>
